#!/usr/bin/env python

# Load ESDS
import esds
import numpy as np

B=np.full((3,3),8)
L=np.full((3,3),0)
s=esds.Simulator({"wlan0":{"bandwidth":B, "latency":L, "is_wired":False}, "eth0":{"bandwidth":B, "latency":L, "is_wired":True}})

# Order at which receivers and senders are instanciated should not matter on the result
# both receivers should have ncom_wlan0 equals to 0 (since non-blocking calls are processed before the blocking one, it should be the case)
s.create_node("receiver")
s.create_node("sender")
s.create_node("receiver")

s.run(interferences=False)
