#!/usr/bin/env python

# Load ESDS
import esds
import numpy as np

B_wlan0=np.full((3,3),8)
B_wlan0[0,2]=0 # Sender cannot reach n2 on wlan0
B_wlan1=np.full((3,3),8) # Sender can reach n1 AND n2 on wlan1

B_eth0=np.full((3,3),8)
B_eth1=np.full((3,3),16) # On eth1 sender can reach receiver twice faster than eth0

L=np.full((3,3),0)
s=esds.Simulator({"wlan0":{"bandwidth":B_wlan0, "latency":L, "is_wired":False},
                  "wlan1":{"bandwidth":B_wlan1, "latency":L, "is_wired":False},
                  "eth0":{"bandwidth":B_eth0, "latency":L, "is_wired":True},
                  "eth1":{"bandwidth":B_eth1, "latency":L, "is_wired":True}})

s.create_node("sender")
s.create_node("receiver")
s.create_node("receiver")

s.run()
